package com.paint.ar.drawing.adapter;

import android.app.Activity;
import android.content.Intent;
import android.graphics.Bitmap;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.annotation.NonNull;
import androidx.cardview.widget.CardView;
import androidx.recyclerview.widget.RecyclerView;

import com.paint.ar.drawing.R;
import com.paint.ar.drawing.ob.DataLocal;
import com.paint.ar.drawing.helper.Utils;
import com.paint.ar.drawing.MyApp;
import com.paint.ar.drawing.activity.CameraActivity;
import com.paint.ar.drawing.topon.AdManager;
import com.paint.ar.drawing.topon.onActionListener;

import java.util.List;

public class LikeAdapter extends RecyclerView.Adapter<LikeAdapter.HomeVH> {


    private Activity mCon;
    private List<DataLocal> data;


    public void setData(List<DataLocal> data) {
        this.data = data;
        notifyDataSetChanged();
    }
    public LikeAdapter(Activity mCon) {
        this.mCon = mCon;
    }

    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.adapter_thumb, parent, false);
        return new HomeVH(view);
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {
        DataLocal dataLocal = data.get(position);
        String name = dataLocal.getPath();
        Log.d("---------tt", "---------favorite=" + name);
        new Thread(new Runnable() {
            @Override
            public void run() {
                Bitmap bitmap = Utils.loadImage(mCon, name);
                mCon.runOnUiThread(()->{
                    holder.previewIm.setImageBitmap(bitmap);
                });

            }
        }).start();


        holder.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AdManager.showTopOn(mCon, new onActionListener() {
                    @Override
                    public void onAction() {
                        Intent intent = new Intent(mCon, CameraActivity.class);
                        intent.putExtra(MyApp.Key_Camera, name);
                        mCon.startActivity(intent);
                    }
                });

            }
        });

    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ImageView previewIm, imFavorite;

        private CardView cardView ;


        public HomeVH(@NonNull View itemView) {
            super(itemView);
            previewIm = itemView.findViewById(R.id.imPreview);
            cardView = itemView.findViewById(R.id.card_view);

            imFavorite = itemView.findViewById(R.id.im_favorite);
        }


    }
}
